Bug 1296058 - rebase libnl3 package to new upstream version for rhel-7.3
Summary: rebase libnl3 package to new upstream version for rhel-7.3
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libnl3
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Thomas Haller
QA Contact: Desktop QE
Lenka Špačková
URL:
Whiteboard:
Keywords: Rebase
Depends On:
Blocks: 1203710 1301628 1313485 1269087
TreeView+ depends on / blocked
 
Reported: 2016-01-06 10:03 UTC by Thomas Haller
Modified: 2016-11-08 18:48 UTC (History)
7 users (show)

(edit)
_libnl3_ rebased to version 3.2.28

The _libnl3_ packages have been upgraded to version 3.2.28, which provides a number of bug fixes and enhancements. Among others: 

* Library symbol versioning has been added
* Suport for new kernel features and device types has been added
* A new *libnl-xfrm-3* library is now included
* This version provides a resynchronisation with upstream
Clone Of:
(edit)
Last Closed: 2016-11-03 19:06:04 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2581 normal SHIPPED_LIVE Low: NetworkManager security, bug fix, and enhancement update 2016-11-03 12:08:07 UTC

Description Thomas Haller 2016-01-06 10:03:29 UTC
rhel-7.2 ships libnl3 based on version 3.2.21 from January 2013.

In the meantime there were many upstream changes and improvements.

It makes sense to rebase the library to a newer version to provide users the added functionality, which especially includes support for new netlink attributes.

A major new feature is symbol versioning, which has advantages when we need to backport new API in rhel-7.4 or later.


libnl3 is anyway supposed not to break ABI and API, so hopefully this will be painless.

Comment 4 Jeff Schroeder 2016-01-13 17:27:47 UTC
This is also a requirement for Mesos 0.26's network isolator. I'm using mesos on RHEL7 clusters currently sans the network isolator. The ip-per-task support it allows is something we want to use for production, even if it means waiting for 7.3.

Comment 10 errata-xmlrpc 2016-11-03 19:06:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2581.html

Comment 11 Thomas Haller 2016-11-08 18:48:12 UTC
sorry for the late reply. Doctext looks good to me.


Note You need to log in before you can comment on or make changes to this bug.